View Issue Details

IDProjectCategoryView StatusLast Update
0001432NoesisGUIUnity3Dpublic2019-04-01 17:39
ReporterKhonanAssigned Tosfernandez 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version2.2.0 
Target Version2.2.1Fixed in Version2.2.1 
Summary0001432: incorrect <Expander> size
DescriptionHaving 3 <Expander>, once collapsed each are of different size based upon their content. The more elements you have the more the <expander> will be big once collapsed.
Steps To Reproduce<Grid Grid.Column="0" VerticalAlignment="Stretch">
                    <StackPanel x:Name="itGridViewLeft" Orientation="Vertical" VerticalAlignment="Top" Background ="#CC1A1A1D">
                        <Grid Width="400" ScrollViewer.VerticalScrollBarVisibility="Visible">
                            <Expander Header="locCategories" ExpandDirection="Down" IsExpanded="False">
                                <Grid>
                                    <ListBox x:Name="ititit" SelectionMode="Single" MouseDoubleClick="ItListViewFiles_MouseDoubleClick">
                                        <TextBlock>ITEM ITEM</TextBlock>
                                        <TextBlock>ITEM ITEM</TextBlock>
                                        <TextBlock>ITEM ITEM</TextBlock>
                                        <TextBlock>ITEM ITEM</TextBlock>
                                        <TextBlock>ITEM ITEM</TextBlock>
                                        <TextBlock>ITEM ITEM</TextBlock>
                                        <TextBlock>ITEM ITEM</TextBlock>
                                        <TextBlock>ITEM ITEM</TextBlock>
                                        <TextBlock>ITEM ITEM</TextBlock>
                                        <TextBlock>ITEM ITEM</TextBlock>
                                        <TextBlock>ITEM ITEM</TextBlock>
                                        <TextBlock>ITEM ITEM</TextBlock>
                                        <TextBlock>ITEM ITEM</TextBlock>
                                        <TextBlock>ITEM ITEM</TextBlock>
                                        <TextBlock>ITEM ITEM</TextBlock>
                                        <TextBlock>ITEM ITEM</TextBlock>
                                        <TextBlock>ITEM ITEM</TextBlock>
                                        <TextBlock>ITEM ITEM</TextBlock>
                                        <TextBlock>ITEM ITEM</TextBlock>
                                        <TextBlock>ITEM ITEM</TextBlock>
                                        <TextBlock>ITEM ITEM</TextBlock>
                                        <TextBlock>ITEM ITEM</TextBlock>
                                    </ListBox>
                                </Grid>
                            </Expander>
                        </Grid>
                        <Grid Width="400" ScrollViewer.VerticalScrollBarVisibility="Visible">
                            <Expander Header="locCategories" ExpandDirection="Down" IsExpanded="False">
                                <Grid>
                                    <ListBox x:Name="itit" SelectionMode="Single" MouseDoubleClick="ItListViewFiles_MouseDoubleClick">
                                        <TextBlock>ITEM ITEM</TextBlock>
                                        <TextBlock>ITEM ITEM</TextBlock>
                                        <TextBlock>ITEM ITEM</TextBlock>
                                        <TextBlock>ITEM ITEM</TextBlock>
                                        <TextBlock>ITEM ITEM</TextBlock>
                                        <TextBlock>ITEM ITEM</TextBlock>
                                        <TextBlock>ITEM ITEM</TextBlock>
                                        <TextBlock>ITEM ITEM</TextBlock>
                                        <TextBlock>ITEM ITEM</TextBlock>
                                        <TextBlock>ITEM ITEM</TextBlock>
                                        <TextBlock>ITEM ITEM</TextBlock>
                                        <TextBlock>ITEM ITEM</TextBlock>
                                        <TextBlock>ITEM ITEM</TextBlock>
                                        <TextBlock>ITEM ITEM</TextBlock>
                                        <TextBlock>ITEM ITEM</TextBlock>
                                        <TextBlock>ITEM ITEM</TextBlock>
                                        <TextBlock>ITEM ITEM</TextBlock>
                                        <TextBlock>ITEM ITEM</TextBlock>
                                        <TextBlock>ITEM ITEM</TextBlock>
                                        <TextBlock>ITEM ITEM</TextBlock>
                                        <TextBlock>ITEM ITEM</TextBlock>
                                        <TextBlock>ITEM ITEM</TextBlock>
                                        <TextBlock>ITEM ITEM</TextBlock>
                                        <TextBlock>ITEM ITEM</TextBlock>
                                        <TextBlock>ITEM ITEM</TextBlock>
                                        <TextBlock>ITEM ITEM</TextBlock>
                                        <TextBlock>ITEM ITEM</TextBlock>
                                        <TextBlock>ITEM ITEM</TextBlock>
                                        <TextBlock>ITEM ITEM</TextBlock>
                                        <TextBlock>ITEM ITEM</TextBlock>
                                        <TextBlock>ITEM ITEM</TextBlock>
                                        <TextBlock>ITEM ITEM</TextBlock>
                                        <TextBlock>ITEM ITEM</TextBlock>
                                        <TextBlock>ITEM ITEM</TextBlock>
                                        <TextBlock>ITEM ITEM</TextBlock>
                                        <TextBlock>ITEM ITEM</TextBlock>
                                        <TextBlock>ITEM ITEM</TextBlock>
                                        <TextBlock>ITEM ITEM</TextBlock>
                                        <TextBlock>ITEM ITEM</TextBlock>
                                        <TextBlock>ITEM ITEM</TextBlock>
                                        <TextBlock>ITEM ITEM</TextBlock>
                                        <TextBlock>ITEM ITEM</TextBlock>
                                        <TextBlock>ITEM ITEM</TextBlock>
                                        <TextBlock>ITEM ITEM</TextBlock>
                                        <TextBlock>ITEM ITEM</TextBlock>
                                        <TextBlock>ITEM ITEM</TextBlock>
                                        <TextBlock>ITEM ITEM</TextBlock>
                                        <TextBlock>ITEM ITEM</TextBlock>
                                        <TextBlock>ITEM ITEM</TextBlock>
                                        <TextBlock>ITEM ITEM</TextBlock>
                                        <TextBlock>ITEM ITEM</TextBlock>
                                        <TextBlock>ITEM ITEM</TextBlock>
                                        <TextBlock>ITEM ITEM</TextBlock>
                                        <TextBlock>ITEM ITEM</TextBlock>
                                        <TextBlock>ITEM ITEM</TextBlock>
                                        <TextBlock>ITEM ITEM</TextBlock>
                                    </ListBox>
                                </Grid>
                            </Expander>
                        </Grid>
                    </StackPanel>
            </Grid>
TagsExpander
PlatformWindows

Activities

Khonan

Khonan

2019-03-20 11:12

reporter   ~0005543

Upon what your Expander hold, you can get a very large error in height (as seen in the "categories" expander screenshot)

Capture.PNG (30,882 bytes)
Capture.PNG (30,882 bytes)
sfernandez

sfernandez

2019-03-21 03:45

manager   ~0005545

I tried the attached xaml in our XamlPlayer and it seems to behave like expected.
Maybe you can attach here the entire xaml that corresponds to the above image, so I can try to reproduce the problem and better understand the problem.
Khonan

Khonan

2019-03-21 08:07

reporter   ~0005546

Here it is,

You'll have to remove some StaticResources and so as I'm a bit in the hurry. Sorry

Thanks for the help. Noesis is a great tool !

MainWindow.xaml (12,450 bytes)
sfernandez

sfernandez

2019-03-21 16:24

manager   ~0005548

This is how that xaml look when loaded in XamlPlayer, I think collapsed Expanders look fine.
Is it possible that you redefined the Expander style (and template) in the 'Resources/Atome2Style.xaml' dictionary? That is the only thing I'm missing.

expander.png (6,900 bytes)
expander.png (6,900 bytes)
Khonan

Khonan

2019-03-21 17:19

reporter   ~0005550

Hummm interesting :)

Atome2Style is just for color style... However removing it makes the expander fine... Replacing it by NoturnalStyle from the samples folder makes it buggy again

NocturnalStyle.xaml (295,472 bytes)
sfernandez

sfernandez

2019-03-22 06:55

manager   ~0005552

Ok, looking at that style I see what is happening, the Expander template uses a ScaleTransform to collapse the content, but the ScaleY value is incorrectly set to 0.01, instead of just 0.
We will fix it for future releases, in the meantime you can change it in your project.
Khonan

Khonan

2019-03-23 16:35

reporter   ~0005553

Nice ! Thanks a lot.
Works like a charm.

Issue History

Date Modified Username Field Change
2019-03-20 09:55 Khonan New Issue
2019-03-20 09:55 Khonan Tag Attached: Expander
2019-03-20 11:12 Khonan File Added: Capture.PNG
2019-03-20 11:12 Khonan Note Added: 0005543
2019-03-21 03:45 sfernandez Assigned To => sfernandez
2019-03-21 03:45 sfernandez Status new => feedback
2019-03-21 03:45 sfernandez Note Added: 0005545
2019-03-21 08:07 Khonan File Added: MainWindow.xaml
2019-03-21 08:07 Khonan Note Added: 0005546
2019-03-21 08:07 Khonan Status feedback => assigned
2019-03-21 16:24 sfernandez File Added: expander.png
2019-03-21 16:24 sfernandez Note Added: 0005548
2019-03-21 16:25 sfernandez Status assigned => feedback
2019-03-21 17:19 Khonan File Added: NocturnalStyle.xaml
2019-03-21 17:19 Khonan Note Added: 0005550
2019-03-21 17:19 Khonan Status feedback => assigned
2019-03-22 06:55 sfernandez Status assigned => feedback
2019-03-22 06:55 sfernandez Note Added: 0005552
2019-03-23 16:35 Khonan Note Added: 0005553
2019-03-23 16:35 Khonan Status feedback => assigned
2019-04-01 17:39 sfernandez Status assigned => resolved
2019-04-01 17:39 sfernandez Resolution open => fixed
2019-04-01 17:39 sfernandez Fixed in Version => 2.2.1
2019-04-01 17:39 sfernandez Target Version => 2.2.1
2019-04-01 17:39 sfernandez Description Updated View Revisions